Mac: Don't link to 10.7+ api even when compiling there.
authorEike Ziller <eike.ziller@digia.com>
Fri, 19 Oct 2012 10:16:01 +0000 (12:16 +0200)
committerEike Ziller <eike.ziller@digia.com>
Fri, 19 Oct 2012 14:33:41 +0000 (16:33 +0200)
commitae6c5eaa0cf1986b1721f0a88b103cd0694fd385
tree19e2bc53133f226bb61d798b7fa29b3054c7e0d3
parent2b95d81cd826c0f7f6c681f425da3b53c76aa140
Mac: Don't link to 10.7+ api even when compiling there.

The 'fullscreen' feature uses constants that are only available
on 10.7 or later, but when compiling on 10.6 we just defined the
constants ourselves.
With this patch we define the constants ourselves even on 10.7 and
later, to avoid linking to 10.7-only symbols when compiling on 10.7
or later, making it possible to run a Qt Creator compiled against
a 10.7 SDK also on 10.6.

Change-Id: I65236a85bdda3473fab0e424270b96880943d685
Reviewed-by: Erik Verbruggen <erik.verbruggen@digia.com>
Reviewed-by: Tim Jenssen <tim.jenssen@digia.com>
src/plugins/coreplugin/macfullscreen.mm